LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XRowSet Interface Referencepublished

enhances the functionality of a result set. More...

`import"XRowSet.idl";`

Inheritance diagram for XRowSet:

## Public Member Functions
void | execute () raises (SQLException)
| populates a row set with data. More...
void | addRowSetListener ([in]XRowSetListener listener)
| adds the specified listener to receive the events "cursorMoved", "rowChanged", and "rowSetChanged". More...
void | removeRowSetListener ([in]XRowSetListener listener)
| removes the specified listener. More...
Public Member Functions inherited from XResultSet
boolean | next () raises (SQLException)
| moves the cursor down one row from its current position. More...
boolean | isBeforeFirst () raises (SQLException)
| indicates whether the cursor is before the first row in the result set. More...
boolean | isAfterLast () raises (SQLException)
| indicates whether the cursor is after the last row in the result set. More...
boolean | isFirst () raises (SQLException)
| indicates whether the cursor is on the first row of the result set. More...
boolean | isLast () raises (SQLException)
| indicates whether the cursor is on the last row of the result set. More...
void | beforeFirst () raises (SQLException)
| moves the cursor to the front of the result set, just before the first row. More...
void | afterLast () raises (SQLException)
| moves the cursor to the end of the result set, just after the last row. More...
boolean | first () raises (SQLException)
| moves the cursor to the first row in the result set. More...
boolean | last () raises (SQLException)
| moves the cursor to the last row in the result set. More...
long | getRow () raises (SQLException)
| retrieves the current row number. More...
boolean | absolute ([in] long row) raises (SQLException)
| moves the cursor to the given row number in the result set. More...
boolean | relative ([in]long rows) raises (SQLException)
| moves the cursor a relative number of rows, either positive or negative. More...
boolean | previous () raises (SQLException)
| moves the cursor to the previous row in the result set. More...
void | refreshRow () raises (SQLException)
| refreshes the current row with its most recent value in the database. More...
boolean | rowUpdated () raises (SQLException)
| indicates whether the current row has been updated. More...
boolean | rowInserted () raises (SQLException)
| indicates whether the current row has had an insertion. More...
boolean | rowDeleted () raises (SQLException)
| indicates whether a row has been deleted. More...
com::sun::star::uno::XInterface | getStatement () raises (SQLException)
| returns the Statement that produced this com::sun::star::sdbc::ResultSet object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

enhances the functionality of a result set.

It allows implementation of a special behavior for a result set and notifies an application on certain row set events such as a change in its value.

The XRowSet interface is unique in that it is intended to be a software layer on top of an SDBC driver. Implementations of the RowSet interface can be provided by anyone.

## Member Function Documentation

## ◆ addRowSetListener()

void addRowSetListener | ( | [in] XRowSetListener | listener | ) |

adds the specified listener to receive the events "cursorMoved", "rowChanged", and "rowSetChanged".

Parameters

  listener | the listener which should be registered

## ◆ execute()

void execute | ( |  | ) |
raises | ( | SQLException
| ) |  |

populates a row set with data.

The description of the data source and other important information for filling the row set with data.

Exceptions

  SQLException | if a database access error occurs.

## ◆ removeRowSetListener()

void removeRowSetListener | ( | [in] XRowSetListener | listener | ) |

removes the specified listener.

Parameters

  listener | the listener which should be registered

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XRowSet.idl